Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDirectory Class Reference

`#include <vtkDirectory.h>`

Inheritance diagram for vtkDirectory:

[legend]
Collaboration diagram for vtkDirectory:

[legend]
List of all members.

## Detailed Description

OS independent class for access to system directories.

Date:
  2003/01/24 21:41:42

Revision:
  1.21

vtkDirectory provides a portable way of finding the names of the files in a system directory.

Warning:
  vtkDirectory works with windows and unix only.

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (69%)
  - Cedilnik, Andy (7%)
  - King, Brad (6%)
  - Barre, Sebastien (6%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDirectory.h)`
  - .`cxx` (`/Common/vtkDirectory.cxx)`

Tests:
  vtkDirectory (Tests)

Definition at line 50 of file vtkDirectory.h.

## [NOHEADER]
typedef vtkObject | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | IsTypeOf (const char *type)
vtkDirectory * | SafeDownCast (vtkObject *o)
## Public Methods
virtual void | PrintSelf (ostream &os, vtkIndent indent)
int | Open (const char *dir)
int | GetNumberOfFiles ()
const char * | GetFile (int index)
## Static Public Methods
vtkDirectory * | New ()
const char * | GetCurrentWorkingDirectory (char *buf, unsigned int len)
int | CreateDirectory (const char *dir)
## Protected Methods
void | CleanUpFilesAndPath ()
| vtkDirectory ()
| ~vtkDirectory ()

## Member Typedef Documentation

typedef vtkObject vtkDirectory::Superclass

| Return the class name as a string. Reimplemented from vtkObject. Definition at line 55 of file vtkDirectory.h.

## Constructor & Destructor Documentation

vtkDirectory::vtkDirectory | ( |  | ) | `[protected]`

vtkDirectory::~vtkDirectory | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDirectory::GetClassName | ( |  | ) | `[virtual]`

| Return the class name as a string. Reimplemented from vtkObject.

int vtkDirectory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return the class name as a string. Reimplemented from vtkObject.

virtual int vtkDirectory::IsA | ( | const char * | type | ) | `[virtual]`

| Return the class name as a string. Reimplemented from vtkObject.

vtkDirectory* vtkDirectory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Return the class name as a string. Reimplemented from vtkObject.

vtkDirectory* vtkDirectory::New | ( |  | ) | `[static]`

| Create a new vtkDirectory object. Reimplemented from vtkObject.

virtual void vtkDirectory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print directory to stream. Reimplemented from vtkObject.

int vtkDirectory::Open | ( | const char * | dir | ) |

| Open the specified directory and load the names of the files in that directory. 0 is returned if the directory can not be opened, 1 if it is opened.

int vtkDirectory::GetNumberOfFiles | ( |  | ) | `[inline]`

| Return the number of files in the current directory. Definition at line 70 of file vtkDirectory.h.

const char* vtkDirectory::GetFile | ( | int | index | ) |

| Return the file at the given index, the indexing is 0 based

const char* vtkDirectory::GetCurrentWorkingDirectory | ( | char * | buf,
|  | unsigned int | len
| ) | `[static]`

| Get the current working directory.

int vtkDirectory::CreateDirectory | ( | const char * | dir | ) | `[static]`

| Create directory. Needs rework to do all the testing and to work on all platforms.

void vtkDirectory::CleanUpFilesAndPath | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- Common/vtkDirectory.h